Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xssf.model
Class SingleXmlCells

    java.lang.Object
      org.apache.poi.POIXMLDocumentPart
          org.apache.poi.xssf.model.SingleXmlCells

    public class SingleXmlCells

extends POIXMLDocumentPart

This class implements the Single Cell Tables Part (Open Office XML Part 4: chapter 3.5.2)

Author:
  Roberto Manicardi

Field Summary

Fields inherited from class org.apache.poi.POIXMLDocumentPart
`DEFAULT_XML_OPTIONS`

Constructor Summary
`SingleXmlCells()`
`SingleXmlCells(PackagePart part, PackageRelationship rel)`

Method Summary
`protected void` | `commit()` Save the content in the underlying package part.
`java.util.List<XSSFSingleXmlCell>` | `getAllSimpleXmlCell()`
`org.openxmlformats.schemas.spreadsheetml.x2006.main.CTSingleXmlCells` | `getCTSingleXMLCells()`
`XSSFSheet` | `getXSSFSheet()`
`void` | `readFrom(java.io.InputStream is)`
`protected void` | `writeTo(java.io.OutputStream out)`

Methods inherited from class org.apache.poi.POIXMLDocumentPart
`addRelation, createRelationship, createRelationship, createRelationship, getPackagePart, getPackageRelationship, getParent, getRelations, onDocumentCreate, onDocumentRead, onSave, read, rebase, removeRelation, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SingleXmlCells

    public SingleXmlCells()

### SingleXmlCells

    public SingleXmlCells(PackagePart part,
                          PackageRelationship rel)
                   throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### readFrom

    public void readFrom(java.io.InputStream is)
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### getXSSFSheet

    public XSSFSheet getXSSFSheet()

### writeTo

    protected void writeTo(java.io.OutputStream out)
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### commit

    protected void commit()
                   throws java.io.IOException

  Description copied from class: `POIXMLDocumentPart`
  Save the content in the underlying package part. Default implementation is empty meaning that the package part is left unmodified. Sub-classes should override and add logic to marshal the "model" into Ooxml4J. For example, the code saving a generic XML entry may look as follows:

       protected void commit() throws IOException {
         PackagePart part = getPackagePart();
         OutputStream out = part.getOutputStream();
         XmlObject bean = getXmlBean(); //the "model" which holds changes in memory
         bean.save(out, DEFAULT_XML_OPTIONS);
         out.close();
       }

  Overrides:
    `commit` in class `POIXMLDocumentPart`
  Throws:
    `java.io.IOException`

### getCTSingleXMLCells

    public org.openxmlformats.schemas.spreadsheetml.x2006.main.CTSingleXmlCells getCTSingleXMLCells()

### getAllSimpleXmlCell

    public java.util.List<XSSFSingleXmlCell> getAllSimpleXmlCell()

  Returns:
    all the SimpleXmlCell contained in this SingleXmlCells element

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.